/*
 * crc7kb.h
 *
 * CRC-7 0x5B Koppman little-endian checksum (0x37 polynomial)
 *
 * Copyright (C) 2013  Krzysztof Mazur <krzysiek@podlesie.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 */

#ifndef __CRC7KB_H
#define __CRC7KB_H

#include <ltypes.h>
#if HAVE_AVR_PGMSPACE_H
#include <avr/pgmspace.h>
#else
#ifndef PROGMEM
#define PROGMEM
#define pgm_read_byte_near(x)	(*(x))
#endif
#endif

extern const u8 crc7kb_table[256] PROGMEM;

#define crc7kb_byte(crc, x) (pgm_read_byte_near(&crc7kb_table[(crc) ^ (x)]))

u8 crc7kb(u8 crc, const u8 *buf, unsigned char len);

#endif
