/*
 * ar4c-dcdc - dcdc.c
 *
 * DC/DC Control
 *
 * Copyright (C) 2014  Krzysztof Mazur <krzysiek@podlesie.net>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 */

#ifndef PINS_H_INCLUDED
#define PINS_H_INCLUDED

#include <compiler.h>

#if HAVE_AVR_IO_H
#include <avr/io.h>

#define PIN_VBAT	(BIT(PC0))
#define PIN_VIN		(BIT(PC1))

#define POFF	0x04

#define SPI_MISO	(BIT(PB4))
#define SPI_MOSI	(BIT(PB3))
#define SPI_SCK		(BIT(PB5))
#define SPI_SS		(BIT(PB2))
#define SPI_IRQ		(BIT(PB1))

#define LADOWANIE	0x80

void pins_init(void);
#else
#define pins_init() do { } while (0)
#endif

#endif
